libwpd: WPXHeaderFooter Class Reference documentation

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# WPXHeaderFooter Class Reference

`#include <WPXPageSpan.h>`

List of all members.

## Public Member Functions
| WPXHeaderFooter (const WPXHeaderFooterType headerFooterType, const WPXHeaderFooterOccurence occurence, const uint8_t internalType, const WPXSubDocument *subDocument, WPXTableList tableList)
| WPXHeaderFooter (const WPXHeaderFooterType headerFooterType, const WPXHeaderFooterOccurence occurence, const uint8_t internalType, const WPXSubDocument *subDocument)
| WPXHeaderFooter (const WPXHeaderFooter &headerFooter)
| ~WPXHeaderFooter ()
const WPXHeaderFooterType | getType () const
const WPXHeaderFooterOccurence | getOccurence () const
const uint8_t | getInternalType () const
const WPXSubDocument * | getSubDocument () const
WPXTableList | getTableList () const
## Private Attributes
WPXHeaderFooterType | m_type
WPXHeaderFooterOccurence | m_occurence
uint8_t | m_internalType
const WPXSubDocument * | m_subDocument
WPXTableList | m_tableList

## Constructor & Destructor Documentation

WPXHeaderFooter::WPXHeaderFooter | ( | const WPXHeaderFooterType | headerFooterType,
|  | const WPXHeaderFooterOccurence | occurence,
|  | const uint8_t | internalType,
|  | const WPXSubDocument * | subDocument,
|  | WPXTableList | tableList
| ) |

WPXHeaderFooter::WPXHeaderFooter | ( | const WPXHeaderFooterType | headerFooterType,
|  | const WPXHeaderFooterOccurence | occurence,
|  | const uint8_t | internalType,
|  | const WPXSubDocument * | subDocument
| ) |

WPXHeaderFooter::WPXHeaderFooter | ( | const WPXHeaderFooter & | headerFooter | ) |

WPXHeaderFooter::~WPXHeaderFooter | ( |  | ) |

## Member Function Documentation

const uint8_t WPXHeaderFooter::getInternalType | ( |  | ) | const`[inline]`

const WPXHeaderFooterOccurence WPXHeaderFooter::getOccurence | ( |  | ) | const`[inline]`

const WPXSubDocument* WPXHeaderFooter::getSubDocument | ( |  | ) | const`[inline]`

WPXTableList WPXHeaderFooter::getTableList | ( |  | ) | const`[inline]`

const WPXHeaderFooterType WPXHeaderFooter::getType | ( |  | ) | const`[inline]`

## Member Data Documentation

uint8_t WPXHeaderFooter::m_internalType`[private]`

WPXHeaderFooterOccurence WPXHeaderFooter::m_occurence`[private]`

const WPXSubDocument* WPXHeaderFooter::m_subDocument`[private]`

WPXTableList WPXHeaderFooter::m_tableList`[private]`

WPXHeaderFooterType WPXHeaderFooter::m_type`[private]`

The documentation for this class was generated from the following files:

- WPXPageSpan.h
- WPXPageSpan.cpp